Org settings, dashboards & reporting

List Fireblocks Custody Wallets

Lists non-deleted Fireblocks custody wallets that have a vault-account mapping.

GEThttps://api.toku.com/stablecoin-payroll/list-fireblocks-custody-wallets

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/list-fireblocks-custody-wallets?orgID=%3CorgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "custodyWalletID": "string",
    "walletName": "string",
    "walletAddress": "string",
    "vaultAccountID": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>required

Response

200Successful response
custodyWalletIDstringrequired
walletNamestringrequired
walletAddressstringrequired
vaultAccountIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits